Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Persistent_Index_IntId Class Reference

Helper class for TAO_Persistent_Context_Index: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Context Index. (Persistent Context Index is like directory that stores info about every active Naming Context). More...

`#include <Persistent_Entries.h>`

Collaboration diagram for TAO_Persistent_Index_IntId:

[legend]
List of all members.

## Public Methods
| TAO_Persistent_Index_IntId (void)
| Constructor.
| TAO_Persistent_Index_IntId (ACE_UINT32 *counter, ACE_Hash_Map_With_Allocator< TAO_Persistent_ExtId, TAO_Persistent_IntId > *hash_map)
| Constructor.
| TAO_Persistent_Index_IntId (const TAO_Persistent_Index_IntId &rhs)
| Copy constructor.
| ~TAO_Persistent_Index_IntId (void)
| Destructor.
void | operator= (const TAO_Persistent_Index_IntId &rhs)
| Assignment operator (does copy memory).
## Public Attributes
ACE_UINT32 * | counter_
| Pointer to a Persistent Naming Context's counter.
ACE_Hash_Map_With_Allocator< TAO_Persistent_ExtId, TAO_Persistent_IntId > * | hash_map_
| Pointer to a Persistent Naming Context's hash map.

## Detailed Description

Helper class for TAO_Persistent_Context_Index: unifies several data items, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Context Index. (Persistent Context Index is like directory that stores info about every active Naming Context).

This class holds a counter and a hash map pointers, so they can be stored together as a <value> for a <key> in a hash table holding the state of a Persistent Context Index.

## Constructor & Destructor Documentation

TAO_Persistent_Index_IntId::TAO_Persistent_Index_IntId | ( | void |  | ) |

| Constructor.

TAO_Persistent_Index_IntId::TAO_Persistent_Index_IntId | ( | ACE_UINT32 * | counter,
|  | ACE_Hash_Map_With_Allocator< TAO_Persistent_ExtId, TAO_Persistent_IntId > * | hash_map
| ) |

| Constructor.

TAO_Persistent_Index_IntId::TAO_Persistent_Index_IntId | ( | const TAO_Persistent_Index_IntId & | rhs | ) |

| Copy constructor.

TAO_Persistent_Index_IntId::~TAO_Persistent_Index_IntId | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void TAO_Persistent_Index_IntId::operator= | ( | const TAO_Persistent_Index_IntId & | rhs | ) |

| Assignment operator (does copy memory).

## Member Data Documentation

ACE_UINT32* TAO_Persistent_Index_IntId::counter_

| Pointer to a Persistent Naming Context's counter.

ACE_Hash_Map_With_Allocator<TAO_Persistent_ExtId, TAO_Persistent_IntId>* TAO_Persistent_Index_IntId::hash_map_

| Pointer to a Persistent Naming Context's hash map.

The documentation for this class was generated from the following files:

- Persistent_Entries.h
- Persistent_Entries.cpp